cppcms::sessions::session_sid Class Reference

An implementation of session_api that stores the data using session_storage and unique session id. More...

`#include <cppcms/session_sid.h>`

Inheritance diagram for cppcms::sessions::session_sid:

## Public Member Functions

| session_sid (booster::shared_ptr< session_storage > s)
| ~session_sid ()
virtual void | save (session_interface &, std::string const &data, time_t timeout, bool, bool)
virtual bool | load (session_interface &, std::string &data, time_t &timeout)
virtual bool | is_blocking ()
virtual void | clear (session_interface &)
Public Member Functions inherited from cppcms::session_api
virtual | ~session_api ()

## Detailed Description

An implementation of session_api that stores the data using session_storage and unique session id.

## Constructor & Destructor Documentation

cppcms::sessions::session_sid::session_sid | ( | booster::shared_ptr< session_storage > | s | ) |

Create a new session_sid with a pointer s to session_storage

cppcms::sessions::session_sid::~session_sid | ( |  | ) |

Delete an object and release a session_storage it used.

## Member Function Documentation

virtual void cppcms::sessions::session_sid::clear | ( | session_interface & |  | ) |

virtual

See session_api::clear

Implements cppcms::session_api.

virtual bool cppcms::sessions::session_sid::is_blocking | ( |  | ) |

virtual

See session_api::is_blocking

Implements cppcms::session_api.

virtual bool cppcms::sessions::session_sid::load | ( | session_interface & | ,
|  | std::string & | data,
|  | time_t & | timeout
| ) |  |

virtual

See session_api::load

Implements cppcms::session_api.

virtual void cppcms::sessions::session_sid::save | ( | session_interface & | ,
|  | std::string const & | data,
|  | time_t | timeout,
|  | bool | ,
|  | bool |
| ) |  |

virtual

See session_api::save

Implements cppcms::session_api.

The documentation for this class was generated from the following file:

- cppcms/session_sid.h